body {
	margin: 0;
	font-family: "Maven Pro", serif;
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
	background-image: linear-gradient(45deg, #3B3B7A 0%, #91617E 100%);
	background-position: 0% 0%;
	background-repeat: repeat;
	background-size: auto;
	padding: 0 10px;
	/* Added padding for narrow screens */
}

.card {
	width: 500px;
	/* Fixed width for the card */
	height: 430px;
	/* Fixed height for the card */
	padding: 26px;
	/* Adjust padding slightly to scale proportionally */
	border-radius: 0.5rem;
	box-shadow: 0rem 1.25rem 2.625rem 0.375rem rgba(0, 0, 0, 0.18);
	text-align: center;
	background-image: linear-gradient(30deg, rgba(255, 255, 255, 0.522) 15%, #FFFFFF 59%);
	background-position: 0% 0%;
	background-repeat: repeat;
	background-size: cover;
	transition: opacity 1.125s ease 0.5s, transform 1.125s ease 0.5s;
	box-sizing: border-box;
}

.about, .contact {
	width: 500px;
	/* Fixed width for the card */
	height: 80%;
	/* Fixed height for the card */
	padding: 26px;
	/* Adjust padding slightly to scale proportionally */
	border-radius: 0.5rem;
	box-shadow: 0rem 1.25rem 2.625rem 0.375rem rgba(0, 0, 0, 0.18);
	text-align: center;
	background-image: linear-gradient(30deg, rgba(255, 255, 255, 0.522) 15%, #FFFFFF 59%);
	background-position: 0% 0%;
	background-repeat: repeat;
	background-size: cover;
	transition: opacity 1.125s ease 0.5s, transform 1.125s ease 0.5s;
	box-sizing: border-box;
	display: none;
	overflow: auto;
}

.card img {
	width: 120px;
	/* Scaled proportionally */
	height: 120px;
	/* Scaled proportionally */
	border-radius: 20%;
	margin-top: 15px;
	margin-bottom: 10px;
}

.contact img {
	width: 100%;
	/* or any custom size */
	object-fit: contain;
	opacity: 55%;
}

.about img {
	width: 100%;
	/* or any custom size */
	object-fit: contain;
	opacity: 55%;
}

.card h2 {
	margin: 0;
	color: rgba(40, 40, 43, 0.6);
	font-family: "Maven Pro", serif;
	font-stretch: 100%;
	letter-spacing: -0.075rem;
	width: 100%;
	font-size: 3rem;
	line-height: 1.25;
	font-weight: 100;
}

.card p {
	margin: 15px 0 20px;
	margin-bottom: 30px;
	color: rgba(40, 40, 43, 0.4);
	font-family: "Maven Pro", serif;
	letter-spacing: -0.025rem;
	width: 100%;
	font-size: 1em;
	line-height: 1.5;
	font-weight: 200;
}

.about p {
	margin: 15px 0 20px;
	margin-bottom: 30px;
	color: rgba(40, 40, 43, 0.6);
	font-family: "Maven Pro", serif;
	letter-spacing: -0.025rem;
	width: 100%;
	font-size: 1em;
	line-height: 1.5;
	font-weight: 200;
	display: flex;
	justify-content: left;
	flex-direction: row;
	flex: 1 0 0;
	overflow-wrap: break-word;
	text-align: left;
}

.contact p {
	margin: 15px 0 20px;
	margin-bottom: 30px;
	color: rgba(40, 40, 43, 0.6);
	font-family: "Maven Pro", serif;
	letter-spacing: -0.025rem;
	width: 100%;
	font-size: 1em;
	line-height: 1.5;
	font-weight: 200;
	display: flex;
	justify-content: left;
	flex-direction: row;
	text-align: left;
	display: block;
}

.contact iframe {
	margin-left: -6px;
}

.contact img {
	width: 150px;
}

.about img {
	width: 150px;
}

.about ul {
	margin: 15px 0 20px;
	margin-bottom: 30px;
	color: rgba(40, 40, 43, 0.6);
	font-family: "Maven Pro", serif;
	letter-spacing: -0.025rem;
	width: 90%;
	font-size: 1em;
	line-height: 1.5;
	font-weight: 200;
	--display: flex;
	justify-content: left;
	flex-direction: row;
	flex: 1 0 0;
	overflow-wrap: break-word;
	text-align: left;
}

.about h2 {
	text-align: left;
	color: rgba(40, 40, 43, 0.6);
	font-family: "Maven Pro", serif;
	font-size: 1.2rem;
}

.about strong {
	font-size: 1rem;
	font-weight: bold;
}

.contact strong {
	font-size: 1rem;
	font-weight: bold;
}

.card hr {
	width: 90%;
	background-color: rgba(40, 40, 43, 0.15);
	height: 2px;
	border-radius: 0px;
	border-style: none;
}

.card .link-icons {
	display: flex;
	width: 100%;
	height: 60px;
	justify-content: center;
	padding-top: 20px;
	gap: 30px;
	/* Adjusted for larger size */
}

.card .link-icons a {
	text-decoration: none;
	border-radius: 100%;
	height: 3em;
	width: 3em;
	transition: color 0.25s ease, background-color 0.25s ease, border-color 0.25s ease;
	background-color: rgba(40, 40, 43, 0.051);
	align-items: center;
	display: flex;
	justify-content: center;
	color: rgba(40, 40, 43, 0.6);
}

.card .link-icons a:hover {
	background-color: rgba(40, 40, 43, 0.2);
}

.close-icon {
	display: flex;
	position: relative;
	justify-content: right;
	padding-top: 0px;
	padding-bottom: 20px;
	gap: 30px;
	/* Adjusted for larger size */
}

.about .close-icon {
	display: flex;
	position: absolute;
	top: 12%;
	margin-left: 400px;
	width: 50px;
	height: 50px;
	justify-content: right;
	padding-top: 0px;
	padding-bottom: 20px;
	gap: 30px;
	/* Adjusted for larger size */
}

.contact .close-icon {
	display: flex;
	position: absolute;
	top: 12%;
	margin-left: 400px;
	width: 50px;
	height: 50px;
	justify-content: right;
	padding-top: 0px;
	padding-bottom: 20px;
	gap: 30px;
	/* Adjusted for larger size */
}

.close-icon a {
	text-decoration: none;
	border-radius: 100%;
	height: 3em;
	width: 3em;
	transition: color 0.25s ease, background-color 0.25s ease, border-color 0.25s ease;
	background-color: rgba(40, 40, 43, 0.051);
	align-items: center;
	display: flex;
	justify-content: center;
	color: rgba(40, 40, 43, 0.6);
}

.close-icon a:hover {
	background-color: rgba(40, 40, 43, 0.2);
}

@media (max-width: 500px) {
	body {
		padding: 0 15px;
		/* Increased padding for extra narrow screens */
	}

	.card .about .contact {
		margin: 0 auto;
		/* Center the card on smaller screens */
	}

	.about, .contact {
		height: 90%;
	}

        .about .close-icon {
		top: 7%;
		margin-left: 68%;	
	}

	.contact .close-icon {
		top: 7%;
		margin-left: 68%;	
	}

	.contact iframe {
		width: 330px;
		margin-left: -10px;
	}
}